## python-pyfakefs 5.6.0

=== requirements.txt ===
pytest>=3.0.0

## python-pyfakefs 4.0.2

=== debian/changelog ===
python-pyfakefs (4.0.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Paul Wise <pabs@debian.org>  Tue, 04 Aug 2020 12:32:20 +0800

python-pyfakefs (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream depends on (not used) flask_restx.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 13:54:38 +0200

python-pyfakefs (3.7.2-2) unstable; urgency=medium

  * Drop PyPy support.
  * Bump debhelper compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 15:54:05 +0200

python-pyfakefs (3.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Sat, 07 Mar 2020 20:58:42 +0100

python-pyfakefs (3.7.1-1) unstable; urgency=medium

  * Initial release. (Closes: #950617)

 -- Ondřej Nový <onovy@debian.org>  Tue, 04 Feb 2020 10:17:24 +0100

=== debian/control ===
Source: python-pyfakefs
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyfakefs
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyfakefs.git
Homepage: http://pyfakefs.org/
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pyfakefs
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: fake fs that mocks the Python file system modules - Python 3
 pyfakefs implements a fake file system that mocks the Python file system
 modules. Using pyfakefs, your tests operate on a fake file system in memory
 without touching the real disk. The software under test requires no
 modification to work with pyfakefs.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyfakefs/pyfakefs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyfakefs 4.3.3

=== debian/changelog ===
python-pyfakefs (4.3.3-1) unstable; urgency=medium

  * Add d/gbp.conf.
  * New upstream release.
  * Disable not working test.
  * Bump standards version to 4.5.1.
  * d/watch: Bump version.

 -- Ondřej Nový <onovy@debian.org>  Mon, 04 Jan 2021 12:43:44 +0100

python-pyfakefs (4.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Drop d/p/remove_flask_restx.patch: Removed, not needed.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Oct 2020 10:43:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-pyfakefs
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
@@ -9,9 +9,9 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyfakefs
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyfakefs.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfakefs
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfakefs.git
 Homepage: http://pyfakefs.org/
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyfakefs

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pyfakefs 4.5.4

=== debian/changelog ===
python-pyfakefs (4.5.4-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Ghiti ]
  * New upstream release, fixing FTBFS (Closes: #1002350)
  * d/patches: Remove disable_test.patch that is now useless.

 -- Graham Inggs <ginggs@debian.org>  Fri, 11 Feb 2022 15:42:25 +0000

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyfakefs/pyfakefs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyfakefs 4.6.3

=== debian/changelog ===
python-pyfakefs (4.6.3-3) unstable; urgency=medium

  * Team upload.
  * add pytest to B-D to force tests to run via something other
    than the deprecated "python3 setup.py test" command

 -- Mohammed Bilal <mdbilal@disroot.org>  Sun, 04 Dec 2022 08:09:59 +0000

python-pyfakefs (4.6.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 20:56:49 +0100

python-pyfakefs (4.6.3-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * Team upload.
  * New upstream release, fixing FTBFS (Closes: #1017210)
  * d/copyright: Update debian copyright year to 2022.
  * d/control: Bump standards version to 4.6.1.

  [ Jeroen Ploemen ]
  * Copyright: bump upstream copyright year.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 12 Sep 2022 20:03:40 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.1
+ python3-pytest <!nocheck>
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfakefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfakefs.git
 Homepage: http://pyfakefs.org/

## python-pyfakefs 5.3.2

=== debian/changelog ===
python-pyfakefs (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.2 (Closes: #1056524, #1028582).
  * Control: set testsuite to autopkgtest-pkg-pybuild.
  * Control, rules: switch from dh-python to dh-sequence-python3.
  * Control: add build-dep on pybuild-plugin-pyproject.
  * Control: bump Standards-Version to 4.6.2 (from 4.6.1; no further
    changes).
  * Add d/pybuild.testfiles to support running the testsuite in an
    autopkgtest context.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 06 Dec 2023 12:40:25 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-pytest <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfakefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfakefs.git
 Homepage: http://pyfakefs.org/
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-pyfakefs

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyfakefs

%:
	dh $@ --buildsystem=pybuild

## python-pyfakefs 5.5.0

=== debian/changelog ===
python-pyfakefs (5.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Jeroen Ploemen ]
  * New upstream version 5.5.0. (Closes: #1073446)
  * Control: update upstream homepage. (Closes: #1068501)
  * Control: bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes).
  * Control: add build-dep on python3-pandas.
  * Control: add myself as uploader.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 27 Jun 2024 12:13:41 +0000

## python-pyfakefs 5.6.0

=== debian/changelog ===
python-pyfakefs (5.6.0-1) unstable; urgency=medium

  * New upstream version 5.6.0.
  * Lintian: override a bunch of uses-deprecated-python-stdlib hits.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 13 Aug 2024 09:17:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Ondřej Nový <onovy@debian.org>,
+Uploaders: Jeroen Ploemen <jcfp@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
+ python3-pandas <!nocheck>,
  python3-pytest <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfakefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfakefs.git
-Homepage: http://pyfakefs.org/
+Homepage: https://github.com/pytest-dev/pyfakefs
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no

## python-pyfakefs 5.7.1

=== debian/changelog ===
python-pyfakefs (5.7.1-1) unstable; urgency=medium

  * New upstream version 5.7.1

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 14 Oct 2024 08:11:38 +0000

python-pyfakefs (5.7.0-1) unstable; urgency=medium

  * New upstream version 5.7.0. (Closes: #1082256)
  * Lintian: remove all overrides, false positives are gone.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 10 Oct 2024 14:25:21 +0000

## python-pyfakefs 5.7.4

=== debian/changelog ===
python-pyfakefs (5.7.4-1) unstable; urgency=medium

  * New upstream version 5.7.4
  * Patches: remove all, released upstream.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 18 Jan 2025 11:38:21 +0000

python-pyfakefs (5.7.3-1) unstable; urgency=medium

  * Team upload.

  [ Jeroen Ploemen ]
  * New upstream version 5.7.3

  [ Colin Watson ]
  * Make sure that patching is correctly stopped (closes: #1090285).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2025 20:04:39 +0000

## python-pyfakefs 5.8.0

=== requirements.txt ===
pytest>=6.2.5

=== debian/changelog ===
python-pyfakefs (5.8.0-1) unstable; urgency=medium

  * New upstream version 5.8.0
  * Bump Standards-Version to 4.7.2 (from 4.7.0; no further changes).
  * Copyright: add self, bump packaging years.
  * Rules: add PYBUILD_TEST_ARGS to ensure order in which tests are run.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 18 Mar 2025 15:47:20 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools,
  python3-pandas <!nocheck>,
  python3-pytest <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfakefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfakefs.git
 Homepage: https://github.com/pytest-dev/pyfakefs

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyfakefs
# Ensure the session_test comes last, see https://github.com/pytest-dev/pyfakefs/issues/1151
export PYBUILD_TEST_ARGS=pyfakefs/pytest_tests/ pyfakefs/tests/ pyfakefs/pytest_session_tests/

%:
	dh $@ --buildsystem=pybuild

## python-pyfakefs 5.10.2

=== debian/changelog ===
python-pyfakefs (5.10.2-1) unstable; urgency=medium

  * New upstream version 5.10.2:
    + adds support for Python 3.14. (Closes: #1123297)
  * Rules: remove workaround to enforce test order.
  * Rules: set test args to exclude test_add_package_metadata.
  * Rules: exclude tests from install.
  * Control: add (build-)deps for django, openpyxl, py, xlrd.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 18 Dec 2025 08:09:03 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,13 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-django <!nocheck>,
+ python3-openpyxl <!nocheck>,
+ python3-pandas <!nocheck>,
+ python3-py <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-pandas <!nocheck>,
- python3-pytest <!nocheck>
+ python3-xlrd <!nocheck>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfakefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfakefs.git
@@ -23,6 +27,10 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-django,
+ python3-pandas,
+ python3-py,
+ python3-xlrd
 Description: fake fs that mocks the Python file system modules - Python 3
  pyfakefs implements a fake file system that mocks the Python file system
  modules. Using pyfakefs, your tests operate on a fake file system in memory

## python-pyfakefs 6.0.0

=== debian/changelog ===
python-pyfakefs (6.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 01 Jan 2026 17:01:39 +0000

python-pyfakefs (6.0.0-1) experimental; urgency=medium

  * New upstream version 6.0.0
  * Control: remove (build-)dep on python3-py.
  * Control: remove Rules-Requires-Root field.
  * Bump Standards-Version to 4.7.3 (from 4.7.2; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 31 Dec 2025 21:06:25 +0000

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,14 @@
  python3-django <!nocheck>,
  python3-openpyxl <!nocheck>,
  python3-pandas <!nocheck>,
- python3-py <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-xlrd <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfakefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfakefs.git
 Homepage: https://github.com/pytest-dev/pyfakefs
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-pyfakefs
 Architecture: all
@@ -29,7 +27,6 @@
  ${python3:Depends},
  python3-django,
  python3-pandas,
- python3-py,
  python3-xlrd
 Description: fake fs that mocks the Python file system modules - Python 3
  pyfakefs implements a fake file system that mocks the Python file system

## python-pyfakefs 6.1.2

=== debian/changelog ===
python-pyfakefs (6.1.2-1) unstable; urgency=medium

  * New upstream version 6.1.2
  * Control: remove redundant Priority field.
  * Copyright: bump packaging years.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 25 Feb 2026 09:40:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-pyfakefs
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jeroen Ploemen <jcfp@debian.org>
 Build-Depends:
@@ -14,6 +13,9 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-xlrd <!nocheck>
+# python3-pyarrow <!nocheck>
+# (optional) import at pyfakefs/patched_packages.py:177
+# don't depend on this for the time being: newish pkg, rc-buggy
 Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfakefs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfakefs.git
@@ -28,6 +30,7 @@
  python3-django,
  python3-pandas,
  python3-xlrd
+# python3-pyarrow  # see above
 Description: fake fs that mocks the Python file system modules - Python 3
  pyfakefs implements a fake file system that mocks the Python file system
  modules. Using pyfakefs, your tests operate on a fake file system in memory

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyfakefs
export PYBUILD_TEST_ARGS=-k "not test_add_package_metadata and not test_write_excel"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	# Exclude tests from install
	rm -vrf \
		debian/python3-pyfakefs/usr/lib/python3.*/dist-packages/pyfakefs/tests/ \
		debian/python3-pyfakefs/usr/lib/python3.*/dist-packages/pyfakefs/pytest_tests/
